Subject: Re: [PATCH v2 1/2] doc: merge-tree: provide a commit message

From: Junio C Hamano <[email-masked]>
Date: Wed, 09 Oct 2024 10:38:57 -0700

"Kristoffer Haugsbakk" <[email-masked]> writes:

>>> +       NEWCOMMIT=$(git commit-tree $NEWTREE -F $FILE_WITH_COMMIT_MESSAGE \
>>> +           -p $BRANCH1 -p $BRANCH2)
>>>         git update-ref $BRANCH1 $NEWCOMMIT
>>
>> The shell should know, after seeing $FILE_WITH_COMMIT_MESSAGE and
>> encountering the end of line, that you haven't completed telling
>> what you started telling it.  Do you need " \" at the end of the
>> line?
>
> I tried that and got an error: `-p: not found`.

Thanks for trying.  Sorry, but I think I got confused by trying it
with two "echo" (one per line).  The newline still acts as a
inter-command separator.

>> E.g.,
>>
>>         vi message.txt
>>         NEWCOMMIT=$(git comimt-tree $NEWTREE -F message.txt
>>                     -p $BRANCH1 -p $BRANCH2)
>>
>> or something like that?
>
> I’ll do that.